Skip to main content
GET
/
core
/
v1
/
domaininfo
/
requirements
/
{tld}
Get Specific TLD Requirements
curl --request GET \
  --url https://api.dev.name.com/core/v1/domaininfo/requirements/{tld} \
  --header 'Authorization: Basic <encoded-value>'
{
  "tldInfo": {
    "tld": ".fr",
    "ccTld": true,
    "supportsTransferLock": true,
    "supportsDnssec": true,
    "supportsPremium": true,
    "supportsPrivacy": true,
    "requiresPreDelegation": true,
    "expirationGracePeriod": 25,
    "allowedRegistrationYears": [
      1,
      3,
      5,
      8,
      10
    ],
    "idnLanguages": {
      "DE": "German",
      "DK": "Danish",
      "ES": "Spanish",
      "IT": "Italian",
      "JP": "Japanese"
    },
    "hsts": true,
    "minDomainLength": 3,
    "minIdnDomainLength": 5,
    "registryOperator": "verisign",
    "claimsCheckRequired": [
      "registration"
    ]
  },
  "requirements": {
    "description": "Required fields to register an .fr domain",
    "fields": {}
  }
}

Authorizations

Authorization
string
header
required

Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.

Path Parameters

tld
string
required

TLD indicates which domain requirements to retrieve (without the dot prefix, e.g., 'fr' for .fr domains). For punycode TLDs, use the ASCII version instead of the UTF-8. So for the онлайн TLD, you would submit xn--80asehdb.

Example:

"fr"

Response

The complete registration requirements for the specified TLD.

GetRequirementResponse has TLD Info and registration requirements for the specified TLD. The requirements field will always be present but may be an empty object when no specific requirements exist for the TLD.

tldInfo
object
required

General information about a specific TLD. These are not registration requirements, but contain useful information for domain reseller and domain registrants in general.

requirements
object
required

The registration requirements for this TLD, including required fields, validation rules, and conditional logic. This field will always be present but may be an empty object when no specific requirements exist for the TLD.